﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace TileViewTest
{
	public class MainViewModel
	{
		private ListCollectionView items;
		private ObservableCollection<Item> innerItems;

		public MainViewModel()
		{
			this.innerItems = new ObservableCollection<Item>();
			for (int i = 0; i < 4; i++)
			{
				var newItem = new Item() { Type = i % 2, Header = "Item " + i };
				for (int j = 0; j < 4; j++)
				{
					newItem.Children.Add(new Item() { Header = "Inner item " + i + " " + j });
				}
				this.innerItems.Add(newItem);
			}

			this.items = new ListCollectionView(this.innerItems);
			this.Items.GroupDescriptions.Add(new PropertyGroupDescription("Type"));
		}

		public ListCollectionView Items
		{
			get
			{
				return this.items;
			}
			set
			{
				this.items = value;
			}
		}
	}
}
