﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace TileViewTest
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		private MainViewModel vm;

		public MainWindow()
		{
			InitializeComponent();

			this.vm = new MainViewModel();
			this.DataContext = this.vm;
			this.tileView.ItemsSource = this.vm.Items;
		}

		private void Button_Click(object sender, RoutedEventArgs e)
		{
			var newItems = new List<Item>();
			foreach (var it in this.vm.Items)
			{
				var item = it as Item;
				if (item.IsVisible)
					newItems.Add(item);
			}

			this.tileView.ItemsSource = newItems;
		}
	}
}
