﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Telerik.Windows.Controls;

namespace TileViewTest
{
	public class Item : ViewModelBase
	{
		private int type;
		private string header;
		private bool isVisible = true;
		private ObservableCollection<Item> children;

		public Item()
		{
			this.children = new ObservableCollection<Item>();
		}

		public bool IsVisible
		{
			get
			{
				return this.isVisible;
			}
			set
			{
				if (this.isVisible != value)
				{
					this.isVisible = value;
					//this.OnPropertyChanged("IsVisible");
				}
			}
		}
		public ObservableCollection<Item> Children
		{
			get
			{
				return this.children;
			}
		}
		public string Header
		{
			get
			{
				return this.header;
			}
			set
			{
				this.header = value;
			}
		}
		public int Type
		{
			get
			{
				return this.type;
			}
			set
			{
				this.type = value;
			}
		}
	}
}
